%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%@brief: Generic Callback for Custom Julia R/I Values
% And also for Different Method (Julia / MandelBrot)
% https://www.iriscores.com
% Author: Vojtech Ters
% vojta.ters@iriscores.com
% Material free for non-commercial use.
% Please report any Bugs you find.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Callback_Generic( src,Event )

    global S;
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Get Set type (Julia / Mandel) %
    S.SetType = S.ListMethod.String{S.ListMethod.Value};
    
    %%%%%%%%%%%%%%%%%%%%
    % Grab Julia Value %
    JuliaER = str2double(S.EditJuliaR.String);
    JuliaEI = str2double(S.EditJuliaI.String);
    S.JuliaVal = complex(JuliaER,JuliaEI);

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Setup Slider Julia Value %
    set(S.JuliaSlideR,'Value',real(S.JuliaVal*1000));
    set(S.JuliaSlideI,'Value',imag(S.JuliaVal*1000));

    
    %%%%%%%%%%%%%%%%%%%%%%%%%%
    % Grab Figure Dimensions %
    Nx = S.Fm.Position(3);
    Ny = S.Fm.Position(4);
     
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Call Drawing Function to Redraw with new Settings %
    DrawSet(Nx,Ny,S.VisImSC,S.NumIter,S.Threshold,S.JuliaVal,S.SetType,S.EnableGaussBlur,S.UseCPU);
    
end
